<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__sdp__protocol__elem__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_sdp_protocol_elem_t</compoundname>
    <includes local="no">wiced_bt_sdp.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__sdp__protocol__elem__t_1ab2b2c3d1b12467aeb8e082218b584d8f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_sdp_protocol_elem_t::protocol_uuid</definition>
        <argsstring />
        <name>protocol_uuid</name>
        <briefdescription>
<para>The protocol uuid. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="151" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="151" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__protocol__elem__t_1ab3aff73ba15eece3f9555b52b08a8742" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_sdp_protocol_elem_t::num_params</definition>
        <argsstring />
        <name>num_params</name>
        <briefdescription>
<para>Number of parameters. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="152" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="152" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__protocol__elem__t_1ae2b1eeddf4a8e35b349a6ce2530fddb1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_sdp_protocol_elem_t::params[SDP_MAX_PROTOCOL_PARAMS]</definition>
        <argsstring>[SDP_MAX_PROTOCOL_PARAMS]</argsstring>
        <name>params</name>
        <briefdescription>
<para>Contents of protocol parameters. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="153" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="153" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This structure is used to add protocol lists and find protocol elements. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="154" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="149" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="150" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__sdp__protocol__elem__t_1ab3aff73ba15eece3f9555b52b08a8742" virt="non-virtual"><scope>wiced_bt_sdp_protocol_elem_t</scope><name>num_params</name></member>
      <member prot="public" refid="structwiced__bt__sdp__protocol__elem__t_1ae2b1eeddf4a8e35b349a6ce2530fddb1" virt="non-virtual"><scope>wiced_bt_sdp_protocol_elem_t</scope><name>params</name></member>
      <member prot="public" refid="structwiced__bt__sdp__protocol__elem__t_1ab2b2c3d1b12467aeb8e082218b584d8f" virt="non-virtual"><scope>wiced_bt_sdp_protocol_elem_t</scope><name>protocol_uuid</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>